Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ssaglobal.generator.ui
Class GeneratorPropertyPage

    java.lang.Object
      org.eclipse.jface.dialogs.DialogPage
          org.eclipse.jface.preference.PreferencePage
              org.eclipse.ui.dialogs.PropertyPage
                  com.ssaglobal.generator.ui.GeneratorPropertyPage

All Implemented Interfaces:
  java.util.EventListener, org.eclipse.jface.dialogs.IDialogPage, org.eclipse.jface.dialogs.IMessageProvider, org.eclipse.jface.preference.IPreferencePage, org.eclipse.swt.events.HelpListener, org.eclipse.swt.events.SelectionListener, org.eclipse.swt.internal.SWTEventListener, org.eclipse.ui.IWorkbenchPropertyPage

    public abstract class GeneratorPropertyPage

extends org.eclipse.ui.dialogs.PropertyPage
implements org.eclipse.swt.events.SelectionListener, org.eclipse.swt.events.HelpListener

Field Summary

Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider
`ERROR, INFORMATION, NONE, WARNING`

Constructor Summary
`GeneratorPropertyPage()`

Method Summary
`protected org.eclipse.swt.widgets.Control` | `createContents(org.eclipse.swt.widgets.Composite parent)`
`protected void` | `createPropertiesGroup(org.eclipse.swt.widgets.Composite parent)` Creates the import destination specification controls.
`abstract org.eclipse.ui.plugin.AbstractUIPlugin` | `getExtensionPlugin()`
`void` | `helpRequested(org.eclipse.swt.events.HelpEvent a_e)`
`void` | `load(org.eclipse.core.resources.IProject project, java.lang.String propertyName, org.eclipse.swt.widgets.Text text, boolean usePreferences)`
`protected void` | `performDefaults()`
`boolean` | `performOk()`
`void` | `save(org.eclipse.core.resources.IProject project, java.lang.String propertyName, org.eclipse.swt.widgets.Text text)`
`void` | `widgetDefaultSelected(org.eclipse.swt.events.SelectionEvent anEvent)`
`void` | `widgetSelected(org.eclipse.swt.events.SelectionEvent anEvent)`

Methods inherited from class org.eclipse.ui.dialogs.PropertyPage
`getElement, setElement`

Methods inherited from class org.eclipse.jface.preference.PreferencePage
`applyData, applyDialogFont, computeSize, contributeButtons, createControl, createDescriptionLabel, createNoteComposite, doComputeSize, doGetPreferenceStore, getApplyButton, getContainer, getDefaultsButton, getPreferenceStore, isValid, noDefaultAndApplyButton, okToLeave, performApply, performCancel, performHelp, setContainer, setErrorMessage, setMessage, setPreferenceStore, setSize, setTitle, setValid, toString, updateApplyButton`

Methods inherited from class org.eclipse.jface.dialogs.DialogPage
`convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, dispose, getControl, getDescription, getDialogFontName, getErrorMessage, getFont, getImage, getMessage, getMessageType, getShell, getTitle, getToolTipText, initializeDialogUnits, isControlCreated, setButtonLayoutData, setControl, setDescription, setImageDescriptor, setMessage, setVisible`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.preference.IPreferencePage
`computeSize, isValid, okToLeave, performCancel, setContainer, setSize`

Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage
`createControl, dispose, getControl, getDescription, getErrorMessage, getImage, getMessage, getTitle, performHelp, setDescription, setImageDescriptor, setTitle, setVisible`

Constructor Detail

### GeneratorPropertyPage

    public GeneratorPropertyPage()

Method Detail

### getExtensionPlugin

    public abstract org.eclipse.ui.plugin.AbstractUIPlugin getExtensionPlugin()

### createContents

    protected org.eclipse.swt.widgets.Control createContents(org.eclipse.swt.widgets.Composite parent)

  Specified by:
    `createContents` in class `org.eclipse.jface.preference.PreferencePage`

### createPropertiesGroup

    protected final void createPropertiesGroup(org.eclipse.swt.widgets.Composite parent)

  Creates the import destination specification controls.

  Parameters:
    `parent` - the parent control

### helpRequested

    public void helpRequested(org.eclipse.swt.events.HelpEvent a_e)

  Specified by:
    `helpRequested` in interface `org.eclipse.swt.events.HelpListener`
  See Also:
    `HelpListener.helpRequested(org.eclipse.swt.events.HelpEvent)`

### performDefaults

    protected void performDefaults()

  Overrides:
    `performDefaults` in class `org.eclipse.jface.preference.PreferencePage`

### performOk

    public boolean performOk()

  Specified by:
    `performOk` in interface `org.eclipse.jface.preference.IPreferencePage`
  Overrides:
    `performOk` in class `org.eclipse.jface.preference.PreferencePage`

### widgetSelected

    public void widgetSelected(org.eclipse.swt.events.SelectionEvent anEvent)

  Specified by:
    `widgetSelected` in interface `org.eclipse.swt.events.SelectionListener`

### widgetDefaultSelected

    public void widgetDefaultSelected(org.eclipse.swt.events.SelectionEvent anEvent)

  Specified by:
    `widgetDefaultSelected` in interface `org.eclipse.swt.events.SelectionListener`

### save

    public void save(org.eclipse.core.resources.IProject project,
                     java.lang.String propertyName,
                     org.eclipse.swt.widgets.Text text)

### load

    public void load(org.eclipse.core.resources.IProject project,
                     java.lang.String propertyName,
                     org.eclipse.swt.widgets.Text text,
                     boolean usePreferences)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD